package com.fjhx.common.controller.flow;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.flow.vo.FlowExampleVoByWdly;
import com.fjhx.common.service.flow.FlowExampleByWdlyService;
import com.fjhx.flow.entity.flow.dto.FlowExampleSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/flowExampleByWdly")
public class FlowExampleByWdlyController {

    @Autowired
    private FlowExampleByWdlyService flowExampleByWdlyService;

    /**
     * 获取待处理流程实例
     */
    @PostMapping("getToBeProcessedPage")
    public Page<FlowExampleVoByWdly> getToBeProcessedPage(@RequestBody FlowExampleSelectDto dto) {
        return flowExampleByWdlyService.getToBeProcessedPage(dto);
    }
}
